### Method

# Dex Future await_fd

since: 0.10

#### Declaration [src]

    int
    dex_await_fd (
      DexFuture* future
      GError** error
    )

#### Description [src]

Awaits on `future` and returns the resultint file-descriptor.

The resolved value must be of type `DEX_TYPE_FD` or `error` is set.

Available since: 0.10

#### Parameters

`future`

  Type: `DexFuture`

  A `DexFuture`.

  The instance takes ownership of the data, and is responsible for freeing it.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `int`

A valid file descriptor or -1. you may get -1 without error being set if there was no rejected future.